commit:     90f5458219813f1bc6a7e7bce91159d6710f97b2
Author:     Christian Tietz <christian.tietz <AT> mailbox <DOT> org>
AuthorDate: Sat May  3 15:15:16 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed May 21 21:21:19 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90f54582

sys-apps/bleachbit: Bump to 5.0.0

Signed-off-by: Christian Tietz <christian.tietz <AT> mailbox.org>
Part-of: https://github.com/gentoo/gentoo/pull/41917
Closes: https://github.com/gentoo/gentoo/pull/41917
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/bleachbit/Manifest               |  1 +
 sys-apps/bleachbit/bleachbit-5.0.0.ebuild | 96 +++++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+)

diff --git a/sys-apps/bleachbit/Manifest b/sys-apps/bleachbit/Manifest
index f48ac9ddfb9d..0f6f5d7fd7fc 100644
--- a/sys-apps/bleachbit/Manifest
+++ b/sys-apps/bleachbit/Manifest
@@ -1,2 +1,3 @@
 DIST bleachbit-4.6.0.tar.bz2 667238 BLAKE2B 
c150ef9ff5c5f3d8241c5d8a8b8ad5b3f7a23aef24c21ef67a8680f56f3844893fd0e8513f47936ac3a667a15f0d6df2186658be282846309f3ad79f545a380d
 SHA512 
fd0888195bc1fd6dfdc19ca4b35906554e0b6bf22c7f12db01ff8a5790a8a358aedd39f0c0906eb98e67ea5344c655e7f042516cc0c17b59637463d01927a33a
 DIST bleachbit-4.6.2.tar.bz2 672065 BLAKE2B 
abf475306f6e53610fd53a6b51dcba0d4a7e5d25090a2531bdae5171bedddaad07e348a41fb88242c5282b8ed5c245040ef1272e40b69fe8f67bf34ed970e7ff
 SHA512 
0ef2ea4f02a1e3cfbd7a321c6c5ba36859e7fb9c77e6bb75798a82267481846454625d6807748247966ca345902dcf125efae87c6b55aec35819dfdf9eb4d700
+DIST bleachbit-5.0.0.tar.bz2 698441 BLAKE2B 
bd253f1e83cc535c5d1ab424b24326b6c5c2205dc6b62ea8ec44700502ff01cac880b6257a4eb7cad2765bf3a053e8987109646c2f872812e1ce383fe3437c6f
 SHA512 
47b41904c18d2c701586cd42de4348289051d82edcd7b27bed082b66916f36fe0e1c0d9624264aec3c40a8eb981e5326ed0a1775c76e97299fd2d8dd0865c18d

diff --git a/sys-apps/bleachbit/bleachbit-5.0.0.ebuild 
b/sys-apps/bleachbit/bleachbit-5.0.0.ebuild
new file mode 100644
index 000000000000..2fbe8978a87c
--- /dev/null
+++ b/sys-apps/bleachbit/bleachbit-5.0.0.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+PYTHON_REQ_USE="sqlite(+)"
+DISTUTILS_SINGLE_IMPL=1
+
+inherit desktop distutils-r1 virtualx
+
+DESCRIPTION="Clean junk to free disk space and to maintain privacy"
+HOMEPAGE="https://www.bleachbit.org";
+SRC_URI="https://download.bleachbit.org/${P}.tar.bz2";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/chardet[${PYTHON_USEDEP}]
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+       ')
+       x11-libs/gtk+:3[introspection]
+"
+BDEPEND="
+       sys-devel/gettext
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+       if use test; then
+               # avoid tests requiring internet access
+               rm tests/Test{Chaff,GuiChaff,Network,Update}.py || die
+
+               sed -e "s/test_chaff(self)/_&/" \
+                       -i tests/TestGUI.py || die
+
+               # fails due to invalid language code format pt_pt
+               sed -e "s/test_assertIsLanguageCode_live(self)/_&/" \
+                       -i tests/TestCommon.py || die
+
+               # fails due to non-existent $HOME/.profile
+               rm tests/TestInit.py || die
+
+               # fails due to permission error on /proc
+               sed -e "s/test_make_self_oom_target_linux(self)/_&/" \
+                       -i tests/TestMemory.py || die
+
+               # only applicable to Windows
+               rm tests/{TestNsisUtilities,TestWindows}.py || die
+
+               # random failures, some also on upstream CI
+               sed -e "s/test_notify(self)/_&/" \
+                       -i tests/TestGUI.py || die
+
+               sed -e "s/test_get_proc_swaps(self)/_&/" \
+                       -i tests/TestMemory.py || die
+
+               sed -e "s/test_is_process_running(self)/_&/" \
+                       -i tests/TestUnix.py || die
+       fi
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       emake -C po local
+}
+
+python_test() {
+       virtx emake tests
+}
+
+python_install() {
+       distutils-r1_python_install
+       python_newscript ${PN}.py ${PN}
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       emake -C po DESTDIR="${D}" install
+
+       insinto /usr/share/bleachbit/cleaners
+       doins cleaners/*.xml
+
+       insinto /usr/share/bleachbit
+       doins data/app-menu.ui
+
+       doicon ${PN}.png
+       domenu org.${PN}.BleachBit.desktop
+}

Reply via email to